package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag767;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT767Creator;

public class Tag21Creator extends AbsTagCreate {
    private MT767Creator mt767Creator;

    public Tag21Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt767Creator = (MT767Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag21Value = mt767Creator.getRelatedReferenceOfA();
        mt767Creator.set("21", tag21Value);
    }
}